--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: I really hate this here, but I hate subdirs in my lib dir more... I guess it is kinda like shaving... I'll split this out when it itches too much...
constants: []

full_name: SexpProcessor::Environment
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: "[]="
- !ruby/object:RI::MethodSummary 
  name: all
- !ruby/object:RI::MethodSummary 
  name: depth
- !ruby/object:RI::MethodSummary 
  name: scope
name: Environment
superclass: Object
